// ******************************************************
// *                                                    *
// *  fill.h (MP1)                                      *
// *                                                    *
// *  Interface for a class which models a              *
// *    filled tubing piece (i.e. a lack of tubing)     *
// *                                                    *
// *  Written 28 Jan 1999 by Jason Zych                 *
// *                                                    *
// ******************************************************


class Fill
{
public:
   
   // Fill
   //    - default constructor
   //    - initializes object to default values
   Fill(); 


   // Imprint
   //    - parameters : picArray - array to which we write the appropriate
   //                       symbols to represent this tubing type 
   //                 : rLoc - row Coord of this object in placement array
   //                 : cLoc - column Coord of this object in placement array 
   //    - writes the character group which represents this type to
   //        the appropriate location in the picture array 
   void Imprint(char picArray[9][9], int rLoc, int cLoc); 


private:

   char drawArray[3][3];

};


